> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reilabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reigent

> Retrieve a Reigent Unit.



## OpenAPI

````yaml /openapi.json get /agents
openapi: 3.0.3
info:
  title: Reigent API
  version: 1.0.0
  description: API for managing Rei Agents and chat completions.
servers:
  - url: https://api.reilabs.org/v1
  - url: https://rei-api.reilabs.org/v1
security: []
paths:
  /agents:
    servers:
      - url: https://api.reilabs.org/v1
    get:
      tags:
        - Agent
      summary: Get Reigent
      description: Retrieve a Reigent Unit.
      responses:
        '200':
          description: Agent details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  agent_functionalities:
                    type: string
                  agent_model:
                    $ref: '#/components/schemas/AgentModel'
                  response_format:
                    type: string
                  temperature:
                    type: number
                  max_tokens:
                    type: integer
        '401':
          description: Unauthorized
        '404':
          description: Agent not found
      security:
        - AgentSecretToken: []
components:
  schemas:
    AgentModel:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        model_name:
          type: string
  securitySchemes:
    AgentSecretToken:
      type: http
      scheme: bearer
      description: Unit API Key

````